%define module_name	unionfs
%define module_release	alt1.132620.6
%define module_version	1.1.1

%define kversion	2.6.12
%define krelease	alt6
%define flavour		vs26-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/block/

Summary:	Linux %{module_name} - a unioning file system for Linux
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.fsl.cs.sunysb.edu/project-unionfs.html
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: ctags

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86 x86_64

%description
%{module_name} - a unioning file system for Linux 
for kernel %kversion-%flavour-%krelease


%prep

%__rm -rf kernel-source-%module_name-%module_version

%__tar -zxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.gz

%setup -D -T -n kernel-source-%module_name-%module_version

%build
%make LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ KERNELVERSION=2.6 UNIONFS_DEBUG_CFLAG=-DUNIONFS_NDEBUG unionfs.ko

%install
%__mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%__cp -a *.ko $RPM_BUILD_ROOT/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Thu Oct 27 2005 Anton Farygin <rider@altlinux.ru> 1.1.1-alt1.132620.6
- updated to 1.1.1

* Tue Oct 04 2005 Anton Farygin <rider@altlinux.ru> 1.0.14-alt1.cvs20050929.132620.6
- disabled debug
- updated from cvs
- removed kernel 2.4 support (from mainstream)

* Wed Sep 28 2005 Anton Farygin <rider@altlinux.ru> 1.0.14-alt1.cvs20050927.132620.6
- update from cvs

* Tue Aug 16 2005 Anton Farygin <rider@altlinux.ru> 1.0.13-alt3.cvs20050815.132620.6
- update from cvs

* Thu Aug 11 2005 Anton Farygin <rider@altlinux.ru> 1.0.13-alt3.cvs20050810132620.6
- update from cvs

* Wed Aug 10 2005 Anton Farygin <rider@altlinux.ru> 1.0.13-alt3.132620.6
- update from cvs

* Thu Aug 04 2005 Anton Farygin <rider@altlinux.ru> 1.0.13-alt2.132620.6
- build next version from cvs

* Mon Jul 18 2005 Anton D. Kachalov <mouse@altlinux.org> 1.0.12-alt2.132620.6
- added x86_64 arch to ExclusiveArch

* Fri Jul 15 2005 Anton Farygin <rider@altlinux.ru> 1.0.12-alt1.132620.6
- build cvs snapshot from 14 Jul 2005

* Wed Apr 06 2005 Anton Farygin <rider@altlinux.ru> 1.0.11-alt1.132620.6
- new version

* Thu Mar 03 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt6.132620.6
- updated unionfs to current cvs snapshot
- removed included to mainstream (snapshot) patches:
    unionfs-1.0.9-d_delete.patch
    unionfs-022405-1349-creat.patch
    unionfs-022405-1349-dirhelper.patch
    unionfs-022405-1349-copyup-symlinks.patch
- disabled debug for reduce object size

* Wed Mar 02 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt5.132620.6
- added patch from unionfs snapshot:
    2005-02-22  Charles P. Wright  <cwright@fsl.cs.sunysb.edu>
    * dentry.c (unionfs_d_delete): d_delete should not be defined (or
    call the lower d_delete).  Thanks to Fabian Franz for identifying
    this issue.

* Wed Mar 02 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt4.132620.6
- fixed kernel oops on creat file with len of name > 252
- namelen size for statfs = namelen - 4

* Tue Mar 01 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt3.132620.6
- fixed namelen size for statfs
- fixed rmdir with r/o branch on squashfs
- fixed rename for symlinks

* Fri Feb 25 2005 LAKostis <lakostis at altlinux.ru> 1.0.9-alt2.132620.6
- add correct kernel version handling during build.

* Tue Feb 22 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt1.132620.6
- first build for ALT Linux


